petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchSetVariableBounds

Sets the upper and lower bounds.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetVariableBounds(TaoLineSearch ls,Vec xl, Vec xu)

Logically Collective on Tao Many br

### Input Parameters

| ls | - the TaoLineSearch context Many br
| xl | - vector of lower bounds Many br
| xu | - vector of upper bounds Many br

Note: If the variable bounds are not set with this routine, then Many brPETSC_NINFINITY and PETSC_INFINITY are assumed Many br

Many br

### See Also

TaoSetVariableBounds(), TaoLineSearchCreate()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages